r87 - in trunk: . patches
Martin Michlmayr
tbm at costa.debian.org
Fri Nov 4 15:13:54 UTC 2005
Author: tbm
Date: 2005-11-04 15:13:26 +0000 (Fri, 04 Nov 2005)
New Revision: 87
Added:
trunk/patches/10_symlinks_movies.dpatch
Modified:
trunk/changelog
trunk/patches/00list
Log:
Support linkInsteadOfCopy for movie files. Closes: #334064.
Modified: trunk/changelog
===================================================================
--- trunk/changelog 2005-11-04 13:51:15 UTC (rev 86)
+++ trunk/changelog 2005-11-04 15:13:26 UTC (rev 87)
@@ -6,6 +6,8 @@
to "Recommends" in 1.1.29-3.
* Don't produce broken links with linkRelative when the source and
target directories start with the same letter. Closes: #334088.
+ * debian/patches/10_symlinks_movies.dpatch: Support linkInsteadOfCopy
+ for movie files. Closes: #334064.
-- Martin Michlmayr <tbm at cyrius.com> Sat, 15 Oct 2005 20:49:21 +0100
Modified: trunk/patches/00list
===================================================================
--- trunk/patches/00list 2005-11-04 13:51:15 UTC (rev 86)
+++ trunk/patches/00list 2005-11-04 15:13:26 UTC (rev 87)
@@ -4,3 +4,4 @@
07_fix_share
08_fix_bins-edit-gui_encoding
09_fix_wrong_relpath
+10_symlinks_movies
Added: trunk/patches/10_symlinks_movies.dpatch
===================================================================
--- trunk/patches/10_symlinks_movies.dpatch 2005-11-04 13:51:15 UTC (rev 86)
+++ trunk/patches/10_symlinks_movies.dpatch 2005-11-04 15:13:26 UTC (rev 87)
@@ -0,0 +1,31 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 10_symlinks_movies.dpatch by Martin Michlmayr <tbm at cyrius.com>
+##
+## DP: Support linkInsteadOfCopy for movies [#334064]
+
+ at DPATCH@
+--- bins.orig/bins 2005-10-15 16:02:07.000000000 +0100
++++ bins.new/bins 2005-11-04 14:16:44.000000000 +0000
+@@ -1849,7 +1849,20 @@
+ my $from="$picdir$album$fileInAlbum";
+ my $to="$albumdir$album$fileInAlbum";
+ if ( ! -f $to ) {
+- `cp -p "$from" "$to"`;
++ if ($configHash->{linkInsteadOfCopy}) {
++ my $newpath;
++ if ($configHash->{linkRelative}) {
++ $newpath = relpath($to, $from);
++ } else {
++ $newpath = $from;
++ }
++ beVerboseN("Linking from $to to $newpath...", 2);
++ system("ln", "-sf", $newpath, $to) == 0
++ or die("\nCannot link $to to $newpath: $?");
++ } else {
++ beVerboseN("Copying from $from to $to...", 2);
++ `cp -p "$from" "$to"`;
++ }
+ }
+ }
+ }
+
Property changes on: trunk/patches/10_symlinks_movies.dpatch
___________________________________________________________________
Name: svn:executable
+ *
More information about the pkg-bins-commits
mailing list